onEvent('recipes', event => {

    byg_woods.forEach(type => {
        let id = `byg:${type}_bookshelf`;
        event.shaped(id,
            [
                'ABA',
                'CCC',
                'ABA'
            ], 
            {
                A: `byg:${type}_planks`,
                B: 'eidolon:polished_planks',
                C: 'minecraft:book'
            }
        ).id(id);
    })
    

})